basic_socketbuf.hpp File Reference

Socket buffer to be used with std::basic_socket_stream, for easy socket reading and writing. More...

`#include <streambuf>`
`#include <string>`
`#include <claw/basic_socket.hpp>`
`#include <claw/impl/basic_socketbuf.tpp>`

Go to the source code of this file.

## Classes

class | claw::net::basic_socketbuf< CharT, Traits >
| Socket buffer to be used with std::basic_stream, for easy socket reading and writing. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::net
| Network communications.

## Detailed Description

Socket buffer to be used with std::basic_socket_stream, for easy socket reading and writing.

Author
  Julien Jorge

Definition in file basic_socketbuf.hpp.